All Frameworks Object Hierarchy This Framework Indexes
Use the HybridShapeFactory to create a HybridShapeConic object.
o Property ConicParameter( | ) As |
conicParm
the conic parameter
of the conic hybConic
.
Dim conicParm As double Set conicParm = hybConic.ConicParameter
o Property ConicUserTol( | ) As (Read Only) |
conicUserTol
the conic user tolerance
of the conic HybridShapeConic
.
Dim oConicUserTol As CATIALength Set oConicUserTol = HybridShapeConic.conicUserTol
o Property EndPoint( | ) As |
endPt
the end point
of the conic hybConic
.
Dim endPt As Reference Set endPt = hybConic.EndPoint
o Property EndTangent( | ) As |
endTgt
the tangent direction associated with the end point
of the conic hybConic
.
Dim endTgt As Reference Set endTgt = hybConic.EndTangent
o Property StartPoint( | ) As |
startPt
as the start point
of the conic hybConic
.
Dim startPt As Reference ... ' Value startPt hybConic.StartPoint startPt
o Property StartTangent( | ) As |
startTgt
as the tangent direction at the start point
of the conic hybConic
.
Dim startTgt As Reference ... ' Value startTangent hybConic.StartTangent startTgt
o Property SupportPlane( | ) As |
supportPln
the supporting plane
of the conic hybConic
.
Dim supportPln As Reference Set supportPln = hybConic.SupportPlane
o Property TangentIntPoint( | ) As |
tgtIntPt
the tangent intersection point
of the conic hybConic
.
Dim tgtIntPt As Reference Set tgtIntPt = hybConic.TangentIntPoint
o Sub GetEndTangentDirectionFlag( | oOrientation) |
hybConic
.
Dim endPtTgtOrient As long hybConic.GetEndTangentDirectionFlag endPtTgtOrient
o Func GetIntermedTangent( | iIndexPoint) As |
tgtDir
the tangent direction at point passingPtIdx
through which the conic hybConic
passes.
Dim tgtDir As Reference passingPtIdx = 1 Set tgtDir = hybConic.GetIntermedTangent (passingPtIdx)
o Sub GetIntermediatePoint( | iIndexPoint, | |
oEndPoint) |
passingPt
the second point through which
the conic hybConic
passes.
Dim passingPt As Reference passingPtIdx = 2 hybConic.GetIntermediatePoint passingPtIdx, passingPt
o Sub GetIntermediateTangentDirectionFlag( | iIndexPoint, | |
oOrientation) |
hybConic
passes.
passingPtIdx = 1 Dim passingPtTgtOrient As long hybConic.GetIntermediateTangentDirectionFlag passingPtIdx, passingPtTgtOrient
o Sub GetStartTangentDirectionFlag( | oOrientation) |
hybConic
.
Dim startPtTgtOrient As long hybConic.GetStartTangentDirectionFlag startPtTgtOrient
o Sub SetEndTangentDirectionFlag( | iOrientation) |
hybConic
to the one of the direction used for
the tangent.
endPtTgtOrient = 1 hybConic.SetEndTangentDirectionFlag endPtTgtOrient
o Sub SetIntermediatePoint( | iIndexPoint, | |
iEndPoint) |
passingPt
as the first point through which
the conic hybConic
must pass.
Dim passingPt As Reference ... ' Value passingPt passingPtIdx = 1 hybConic.SetIntermediatePoint passingPtIdx, passingPt
o Sub SetIntermediateTangentDirectionFlag( | iIndexPoint, | |
iOrientation) |
hybConic
passes to the inverse of the one of the direction used for
the tangent.
passingPtIdx = 1 passingPtTgtOrient = -1 hybConic.SetIntermediateTangentDirectionFlag passingPtIdx, passingPtTgtOrient
o Sub SetIntermediateTangent( | iIndexPoint, | |
iTgtDir) |
tgtDir
as the tangent direction at the first point through which
the conic hybConic
passes.
Dim tgtDir As Reference ... ' Value tgtDir passingPtIdx = 1 hybConic.SetIntermediateTangent passingPtIdx, tgtDir
o Sub SetStartAndEndTangentsPlusConicParameter( | iStartTgt, | |
iEndTgt, | ||
iConicParam) |
firstDir
and secondDir
as the tangent directions at the start
and end points of the conic hybConic
, and conicParm
as the conic parameter.
hybConic.SetStartAndEndTangentsPlusConicParameter firstDir, secondDir, conicParm
o Sub SetStartAndEndTangentsPlusPassingPoint( | iStartTgt, | |
iEndTgt, | ||
iPassingPt) |
firstDir
and secondDir
as the tangent directions at the start
and end points of the conic hybConic
, and passingPoint
as a point through
which the conic must pass.
hybConic.SetStartAndEndTangentsPlusPassingPoint firstDir, secondDir, passingPoint
o Sub SetStartTangentDirectionFlag( | iOrientation) |
hybConic
to the inverse of the one of the direction used for
the tangent.
startPtTgtOrient = -1 hybConic.SetStartTangentDirectionFlag startPtTgtOrient
o Sub SetTangentIntersectPointPlusConicParm( | iTgtInt, | |
iConicParam) |
tgtIntPoint
as the intersection point of the tangents
to the start and end points of the conic hybConic
, and conicParm
as the conic parameter.
hybConic.SetTangentIntersectPointPlusConicParm tgtIntPoint, conicParm
o Sub SetTangentIntersectPointPlusPassingPoint( | iTgtInt, | |
iPassingPt) |
tgtIntPoint
as the intersection point of the tangents
to the start and end points of the conic hybConic
, and passingPoint
as a point through
which the conic must pass.
hybConic.SetTangentIntersectPointPlusPassingPoint tgtIntPoint, passingPoint
o Sub SetThreeIntermediatePassingPoints( | iPassPt1, | |
iPassPt2, | ||
iPassPt3) |
passingPoint1
, passingPoint2
, and passingPoint3
as the
three intermediate points through which the conic hybConic
must pass.
hybConic.SetThreeIntermediatePassingPoints passingPoint1, passingPoint2, passingPoint3
o Sub SetTwoIntermediatePassingPointsPlusOneTangent( | iPassPt1, | |
iPassPt2, | ||
iTgtDir, | ||
iIndexPoint) |
passingPoint1
and passingPoint2
as two
intermediate points through which the conic hybConic
must pass,
tgtDir
as the tangent direction at the passing point designated by passingPointIdx
.
hybConic.SetTwoIntermediatePassingPointsPlusOneTangent passingPoint1, passingPoint2, tgtDir, passingPointIdx
o Sub SwitchEndTangentDirection( | ) |
hybConic
.
hybConic.SwitchEndTangentDirection
o Sub SwitchIntermediateTangentDirection( | iIndexPoint) |
hybConic
passes.
passingPtIdx = 1 hybConic.SwitchIntermediateTangentDirection passingPtIdx
o Sub SwitchStartTangentDirection( | ) |
hybConic
.
hybConic.SwitchStartTangentDirection
Copyright © 2003, Dassault Systèmes. All rights reserved.